Bug 218390 - selinux prevents 'service iptables status' from displaying info
Summary: selinux prevents 'service iptables status' from displaying info
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-05 00:11 UTC by Tobias Oed
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:12:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tobias Oed 2006-12-05 00:11:55 UTC
Description of problem:
when selinux is set to enforcing
service iptables status
Prints
table: filter

and that's it.
When selinux is set to permissive the contents of the table is displayed. 

Version-Release number of selected component (if applicable):
iptables-1.3.5-1.2.1
policycoreutils-1.33.5-4.fc6
libsepol-1.15.3-1.fc6
selinux-policy-2.4.6-1.fc6
selinux-policy-targeted-2.4.6-1.fc6

How reproducible:
100%

Steps to Reproduce:
1. get a firewall going
2. enable selinux
3. service iptables status
  
Actual results:
Shows what empty tables

Expected results:
Shows your iptables config

Tobias

Comment 1 Daniel Walsh 2007-02-14 20:29:17 UTC
Fixed in selinux-policy-2.4.6-38

Comment 2 Daniel Walsh 2007-08-22 14:12:57 UTC
Fixed in current release


Note You need to log in before you can comment on or make changes to this bug.